Loading...
Searching...
No Matches
ARC_Mouse Struct Reference

`#include <mouse.h>`

## Data Fields

SDL_Event * | event
ARC_Point * | coords
int32_t * | scrollY
ARC_MouseState * | buttons
uint8_t * | buttonsReleased

## Detailed Description

Definition at line 8 of file mouse.h.

## Field Documentation

## buttons

ARC_MouseState* ARC_Mouse::buttons

Definition at line 13 of file mouse.h.

Referenced by ARC_Mouse_Destroy(), ARC_Mouse_GetState(), ARC_Mouse_Update(), and ARC_Mouse_UpdateButton().

## buttonsReleased

uint8_t* ARC_Mouse::buttonsReleased

Definition at line 14 of file mouse.h.

Referenced by ARC_Mouse_Destroy(), ARC_Mouse_Update(), and ARC_Mouse_UpdateButton().

## coords

ARC_Point* ARC_Mouse::coords

Definition at line 10 of file mouse.h.

Referenced by ARC_Mouse_Destroy(), ARC_Mouse_GetCoords(), and ARC_Mouse_Update().

## event

SDL_Event* ARC_Mouse::event

Definition at line 9 of file mouse.h.

Referenced by ARC_Mouse_CreateWithInput(), and ARC_Mouse_Update().

## scrollY

int32_t* ARC_Mouse::scrollY

Definition at line 11 of file mouse.h.

Referenced by ARC_Mouse_Destroy(), ARC_Mouse_GetScrollY(), and ARC_Mouse_Update().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/packages/input/sdl/mouse.h